passthru
proc_get_status
Program execution Functions
PHP Manual

# proc_close

Close a process opened by proc_open and return the exit code of that process

### Description

int proc_close ( resource `$process` )

proc_close is similar to pclose except that it only works on processes opened by proc_open. proc_close waits for the process to terminate, and returns its exit code. If you have open pipes to that process, you should fclose them prior to calling this function in order to avoid a deadlock - the child process may not be able to exit while the pipes are open.

### Parameters

`process`

  The proc_open resource that will be closed.

### Return Values

Returns the termination status of the process that was run. In case of an error then -1 is returned.

### Notes

> Note: Unix Only:

> proc_close is internally implemented using the waitpid(3) system call. To obtain the real exit status code the pcntl_wexitstatus function should be used.